Account Chief API v1
string · requiredinteger · min: 1integer · min: 1 · max: 100string · enumstring · enumstring[] · enum
string · requiredstring · requiredstring[] · enum
Invoices
Endpoints for viewing team invoices.
List invoices
GET
https://account.chief.app/api
/v1/teams/{teamSlug}/invoices
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)
List all invoices issued to a team.
path Parameters
teamSlugteam slug
query Parameters
pagePage number to return.
Default: 1
per_pageNumber of items to return per page.
Default: 50
app_idApplication identifier to filter invoices by.
Enum values:
domainchief
certchief
deploychief
tny
flowguard
backupchief
socketchief
billdo
sortInvoice date sort direction. Use desc for newest first or asc for oldest first.
Enum values:
asc
desc
Default: desc
expand[]Related resource to include. The supported value is lines.
Enum values:
lines
List invoices › Responses
Paginated set of TeamInvoice
Show invoice
GET
https://account.chief.app/api
/v1/teams/{teamSlug}/invoices/{invoiceId}
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)
Retrieve a single invoice issued to a team.
path Parameters
teamSlugteam slug
invoiceIdinvoice identifier
query Parameters
expand[]Related resource to include. The supported value is lines.
Enum values:
lines
Show invoice › Responses
TeamInvoice
TeamInvoice · required